Bug 1504588 - DBus service Config does not get an actual value when the value is changed
Summary: DBus service Config does not get an actual value when the value is changed
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
: 1489103 1540937 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-20 09:31 UTC by Jan Stavel
Modified: 2019-10-01 16:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github RedHatQE rhsm-qe pull 706 None None None 2017-10-20 10:32:22 UTC
Red Hat Bugzilla 1527392 None CLOSED subscription-manager-cockpit : Text fields in the "Register" dialog doesnt clear the data at all 2019-04-30 10:39:02 UTC

Internal Links: 1527392

Description Jan Stavel 2017-10-20 09:31:50 UTC
Description of problem:

   If I change some property in /etc/rhsm/rhsm.conf
   and I call DBus method /com/redhat/RHSM1/Config Get s rhsm.manage_repos
   Then I get the old value of the property.

Version-Release number of selected component (if applicable):
 
   subscription-manager-initial-setup-addon-1.20.2-1.git.3.cf221d7.el7.x86_64
   cockpit-ws-138-9.el7.x86_64
   subscription-manager-migration-data-2.0.37-1.git.0.d45a6c7.el7.noarch
   subscription-manager-plugin-ostree-1.20.2-1.git.3.cf221d7.el7.x86_64
   subscription-manager-1.20.2-1.git.3.cf221d7.el7.x86_64
   subscription-manager-plugin-container-1.20.2-1.git.3.cf221d7.el7.x86_64
   python-rhsm-1.20.2-1.git.6.cf221d7.el7.x86_64
   subscription-manager-migration-1.20.2-1.git.3.cf221d7.el7.x86_64
   cockpit-bridge-138-9.el7.x86_64
   python-rhsm-certificates-1.20.2-1.git.6.cf221d7.el7.x86_64
   subscription-manager-gui-1.20.2-1.git.3.cf221d7.el7.x86_64


How reproducible:


Steps to Reproduce:

Set a property [rhsm]/manage_repos to a new value
Call DBus method:

   busctl call com.redhat.RHSM1 /com/redhat/RHSM1/Config com.redhat.RHSM1.Config Get s rhsm.manage_repos

   You should get the new value of the property.


Actual results:

   The old value of the property is returned.

Expected results:

   You should get the new value of the property.

Comment 2 Kevin Howell 2018-02-08 15:25:10 UTC
*** Bug 1540937 has been marked as a duplicate of this bug. ***

Comment 3 Jan Stavel 2018-03-12 11:34:09 UTC
*** Bug 1489103 has been marked as a duplicate of this bug. ***

Comment 4 Chris Snyder 2018-07-23 20:57:27 UTC
The fix for this has been merged upstream in PR https://github.com/candlepin/subscription-manager/pull/1864

Will move to MODIFIED if and when there are appropriate ACKs to merge this into the 7.6 branch.


Note You need to log in before you can comment on or make changes to this bug.